package com.oms.print;

import com.oms.print.ExpressDAO;
import com.oms.print.ExpressPrint;
import com.oms.print.ExpressTableModel;
import com.oms.print.Shipping;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;
import org.apache.commons.codec.binary.Base64;

public class ExpressGUI {

   static ExpressTableModel htm = new ExpressTableModel();
   static JTable t = new JTable(htm);


   public static void main(String[] args) {
      final JFrame f = new JFrame("国外物流打印客户端");
      f.setSize(800, 500);
      f.setLocation(200, 200);
      f.setLayout(new BorderLayout());
      t.setSelectionMode(0);
      t.getSelectionModel().setSelectionInterval(0, 0);
      JPanel p = new JPanel();
      JLabel codeLabel = new JLabel("物流单号:");
      final JTextField codeName = new JTextField();
      JLabel expressLabel = new JLabel("快递公司：");
      final JComboBox expressName = new JComboBox(new String[]{"全部", "UPS", "DHL"});
      JLabel statusLabel = new JLabel("打印状态：");
      final JComboBox statusName = new JComboBox(new String[]{"未打印", "已打印"});
      JLabel dateLabel = new JLabel("发货日期:");
      JTextField dateName = new JTextField((new SimpleDateFormat("yyyy-MM-dd")).format(new Date()));
      JButton bSelect = new JButton("查询");
      JButton bRefresh = new JButton("刷新");
      codeName.setPreferredSize(new Dimension(100, 30));
      expressName.setPreferredSize(new Dimension(80, 30));
      statusName.setPreferredSize(new Dimension(80, 30));
      dateName.setPreferredSize(new Dimension(80, 30));
      p.add(codeLabel);
      p.add(codeName);
      p.add(expressLabel);
      p.add(expressName);
      p.add(statusLabel);
      p.add(statusName);
      p.add(dateLabel);
      p.add(dateName);
      p.add(bSelect);
      p.add(bRefresh);
      f.add(p, "North");
      JPanel pOperation = new JPanel();
      JButton bPring = new JButton("打印");
      pOperation.add(bPring);
      bSelect.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            ExpressGUI.t.updateUI();
            new ExpressDAO();
            ExpressGUI.htm.shippings = ExpressDAO.list(codeName.getText(), (String)expressName.getSelectedItem(), (String)statusName.getSelectedItem());
            if(!ExpressGUI.htm.shippings.isEmpty()) {
               ExpressGUI.t.getSelectionModel().setSelectionInterval(0, 0);
            }

         }
      });
      bPring.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            int index = ExpressGUI.t.getSelectedRow();
            if(-1 == index) {
               JOptionPane.showMessageDialog(f, "打印前需要先选中一行");
            } else if(JOptionPane.showConfirmDialog(f, "确认要打印选中的物流单？") == 0) {
               Shipping shipping = (Shipping)ExpressGUI.htm.shippings.get(index);
               String waybillnos;
               String e1;
               if(shipping.getExpress().intValue() == 4) {
                  waybillnos = ExpressDAO.epl(shipping.getId());
                  if(waybillnos.contains("\\n")) {
                     waybillnos = waybillnos.replace("\\n", "");
                  }

                  try {
                     Base64 epl = new Base64();
                     e1 = new String(epl.decode(waybillnos), "UTF-8");
                     if(e1 != null) {
                        ExpressPrint.print(e1, shipping.getExpress());
                        ExpressDAO.eplUpdate(shipping.getId());
                        ExpressGUI.updateTable();
                     } else {
                        JOptionPane.showMessageDialog((Component)null, "打印失败！");
                     }
                  } catch (Exception var15) {
                     var15.printStackTrace();
                  }
               } else if(shipping.getExpress().intValue() == 5) {
                  waybillnos = shipping.getWaybillno();
                  if(waybillnos.contains(",")) {
                     String[] var16 = waybillnos.split(",");
                     String[] var9 = var16;
                     int var8 = var16.length;

                     for(int zpl = 0; zpl < var8; ++zpl) {
                        e1 = var9[zpl];
                        String epl1 = ExpressDAO.epl(shipping.getId(), e1);
                        if(epl1.contains("\\n")) {
                           epl1 = epl1.replace("\\n", "");
                        }

                        try {
                           Base64 e11 = new Base64();
                           String zpl1 = new String(e11.decode(epl1), "UTF-8");
                           ExpressPrint.print(zpl1, shipping.getExpress());
                        } catch (Exception var14) {
                           var14.printStackTrace();
                        }
                     }

                     ExpressDAO.eplUpdate(shipping.getId());
                     ExpressGUI.updateTable();
                  } else {
                     String var17 = ExpressDAO.epl(shipping.getId());
                     if(var17.contains("\\n")) {
                        var17 = var17.replace("\\n", "");
                     }

                     try {
                        Base64 var18 = new Base64();
                        String var19 = new String(var18.decode(var17), "UTF-8");
                        if(ExpressPrint.print(var19, shipping.getExpress())) {
                           ExpressDAO.eplUpdate(shipping.getId());
                           ExpressGUI.updateTable();
                        } else {
                           JOptionPane.showMessageDialog((Component)null, "打印失败！");
                        }
                     } catch (Exception var13) {
                        var13.printStackTrace();
                     }
                  }
               }

            }
         }
      });
      bRefresh.addActionListener(new ActionListener() {
         public void actionPerformed(ActionEvent e) {
            ExpressGUI.updateTable();
         }
      });
      JScrollPane sp = new JScrollPane(t);
      f.add(sp, "Center");
      f.add(pOperation, "South");
      f.setDefaultCloseOperation(3);
      f.setVisible(true);
   }

   public static void updateTable() {
      t.updateUI();
      new ExpressDAO();
      htm.shippings = ExpressDAO.list();
      if(!htm.shippings.isEmpty()) {
         t.getSelectionModel().setSelectionInterval(0, 0);
      }

   }

   private static boolean checkEmpty(JTextField tf, String msg) {
      String value = tf.getText();
      if(value.length() == 0) {
         JOptionPane.showMessageDialog((Component)null, msg + " 不能为空");
         tf.grabFocus();
         return false;
      } else {
         return true;
      }
   }

   private static boolean checkNumber(JTextField tf, String msg) {
      String value = tf.getText();
      if(value.length() == 0) {
         JOptionPane.showMessageDialog((Component)null, msg + " 不能为空");
         tf.grabFocus();
         return false;
      } else {
         try {
            Integer.parseInt(value);
            return true;
         } catch (NumberFormatException var4) {
            JOptionPane.showMessageDialog((Component)null, msg + " 只能是整数");
            tf.grabFocus();
            return false;
         }
      }
   }
}
